+ Reply to Thread
Results 1 to 9 of 9

Thread: ArcGIS API 3.0 Prerelease for Flex released March 19, 2012

  1. #1
    Bjorn Svensson

    Join Date
    Sep 2009
    Posts
    1,090
    Points
    439
    Answers Provided
    70


    0

    Default ArcGIS API 3.0 Prerelease for Flex released March 19, 2012

    The new API community site:
    resourcesbeta.arcgis.com/en/communities/flex-api/

    What's new in ArcGIS API 3.0 Prerelease for Flex
    http://resourcesbeta.arcgis.com/en/h...000000w000000/

    Note that the URLs have changed slightly from the 3.0 beta. We will remove those pages later this week.

  2. #2
    Matthew Gubitosa
    Join Date
    Oct 2010
    Posts
    14
    Points
    0
    Answers Provided
    0


    0

    Default Re: ArcGIS API 3.0 Prerelease for Flex released March 19, 2012

    Does pre-release 3.0 require Adobe FlashBuilder < 4.5? I am having trouble compiling with 4.5 - lots of errors
    See attached for screenshotsClick image for larger version

Name:	flexIssues.jpg
Views:	93
Size:	151.6 KB
ID:	13321

  3. #3
    Bjorn Svensson

    Join Date
    Sep 2009
    Posts
    1,090
    Points
    439
    Answers Provided
    70


    0

    Default Re: ArcGIS API 3.0 Prerelease for Flex released March 19, 2012

    Quote Originally Posted by mgubitos View Post
    I am having trouble compiling with 4.5 - lots of errorsAttachment 13321
    3.0 Prerelease only works with 4.5 and above.

    I think in your case, maybe you have not added the API Library (the SWC file) yet? You need to download it separately - http://links.esri.com/flex-api/latest-download.

    See http://resourcesbeta.arcgis.com/en/h...000001q000000/ for how to include it in your project.

  4. 04-09-2012 01:10 PM


  5. #4
    Bjorn Svensson

    Join Date
    Sep 2009
    Posts
    1,090
    Points
    439
    Answers Provided
    70


    0

    Default Re: ArcGIS API 3.0 Prerelease for Flex released March 19, 2012

    Quote Originally Posted by mgubitos View Post
    agslib-3.0b1-2011-12-16.swc ... flexviewer-3.0Prerelease-src
    That's the "3.0 beta 1" SWC. Try with the "3.0 Prerelease" SWC instead: http://links.esri.com/flex-api/latest-download

  6. 05-17-2012 06:01 AM


  7. #5
    Robert Scheitlin

    Join Date
    Mar 2010
    Posts
    9,260
    Points
    5579
    Answers Provided
    938


    0

    Lightbulb Re: ArcGIS API 3.0 Prerelease for Flex released March 19, 2012

    Derek,

    Are you talking about the Flex Viewer's MapSwitcher?... Because you are posting to the AGS Flex API forum post announcement for the 3.0 pre release API... Maybe you are looking for this documentation from the Flex Viewer 3.0 pre release:

    http://resourcesbeta.arcgis.com/en/h...0026000000.htm
    Just because it's not the answer you want, does not mean that it is not the answer.

    Robert Scheitlin

    GIS Manager
    Calhoun County, Alabama


  8. 05-17-2012 06:30 AM


  9. #6
    Hu bo
    Join Date
    May 2012
    Posts
    5
    Points
    0
    Answers Provided
    0


    0

    Default Re: ArcGIS API 3.0 Prerelease for Flex released March 19, 2012

    Good forum. I like to solve problem in this forum.

  10. #7
    Sarah Burgin
    Join Date
    Aug 2011
    Posts
    32
    Points
    0
    Answers Provided
    0


    0

    Default Re: ArcGIS API 3.0 Prerelease for Flex released March 19, 2012

    Just tried 3.0 pre-release with our applications. I came across an issue of the 'GraphicsLayer' class no longer having 'units' as an attribute but don't think this change is mentioned in the release note?

  11. #8
    Bjorn Svensson

    Join Date
    Sep 2009
    Posts
    1,090
    Points
    439
    Answers Provided
    70


    0

    Default Re: ArcGIS API 3.0 Prerelease for Flex released March 19, 2012

    Quote Originally Posted by burgins View Post
    Just tried 3.0 pre-release with our applications. I came across an issue of the 'GraphicsLayer' class no longer having 'units' as an attribute but don't think this change is mentioned in the release note?
    Correct, the "units" have been removed (and it wasn't mentioned in the "prerelease" release note). This property was needed for the Map in a few edge cases where it wouldn't get the Units from the metadata of the first layer added to the map. At 3.0, the API is now figuring out the units based on the spatial reference, thus no more need for the "unit". At least that's what we were thinking...

    What are you using the GraphicsLayer.units for?

    Will it (at 3.0) just work fine if you remove those lines?

  12. #9
    Sarah Burgin
    Join Date
    Aug 2011
    Posts
    32
    Points
    0
    Answers Provided
    0


    0

    Default Re: ArcGIS API 3.0 Prerelease for Flex released March 19, 2012

    I was setting the units in relation to polygons that our application draws, which need to be accurately sized.

    Yes, I did find that commenting out the affected lines of code for building with ArcGIS API 3.0 seems to work just fine!

+ Reply to Thread

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts